{ pkgs, hyper, ... }: 
{
  services.ollama = {
    package = if hyper.nvidia.enable then pkgs.ollama-cuda else pkgs.ollama;
    enable = true;
    acceleration = pkgs.lib.mkIf hyper.nvidia.enable "cuda";
    host = if hyper.host == "NxACE" then "0.0.0.0" else "127.0.0.1";
    port = 11434;
    environmentVariables = {
      OLLAMA_ORIGINS = "*"; 
    };
  };
}
